# -*-Mode:Tcl-*-
# This file is automatically generated by WaveSurfer

$widget configure -background "#d9d9d9"
$widget configure -foreground "Black"
$widget configure -troughcolor "#c3c3c3"
$widget configure -cursorcolor "red"
$widget configure -wavebarheight "25"
$widget configure -pixelspersecond "400.0"
$widget configure -playmapfilter "1"

set pane [$widget addPane -maxheight 2048  -minheight 10]
$pane configure -unit {Hz}
$pane configure -stipple {gray12}
$pane configure -layer {top}
$pane configure -background {#d9d9d9}
$pane configure -showyaxis {true}

if {[wsurf::PluginEnabled analysis]} {
    $widget analysis::addSpectrogram $pane  -channel all -fftlength 256 -winlength 128 -wintype Hamming  -preemphasis 0.97 -sectfftlength 512 -sectwintype Hamming -sectanalysistype FFT -sectlpcorder 20 -sectpreemphasis 0.0 -sectreference -110.0 -sectrange 110.0 -sectdoall 0 -sectexportheader 0 -gridtspacing 0 -gridfspacing 0 -gridcolor red -brightness 0.0 -contrast 0.0 -topfrequency 8000.0 -predraw 0 -scrollspeed 250 -colormap grey
}

set pane [$widget addPane -maxheight 20  -minheight 20]
$pane configure -height {20}
$pane configure -scrollheight {20}
$pane configure -background {#d9d9d9}

if {[wsurf::PluginEnabled timeaxis]} {
    $widget timeaxis::addTimeAxis $pane  -color black
}

set pane [$widget addPane -maxheight 20  -minheight 20]
$pane configure -height {20}
$pane configure -scrollheight {20}
$pane configure -background {#d9d9d9}

if {[wsurf::PluginEnabled transcription_format_htk]} {
    set ::wsurf::transcription_format_htk::${pane}::var(matchComponents) 1
    set ::wsurf::transcription_format_htk::${pane}::var(level) 1
    set ::wsurf::transcription_format_htk::${pane}::var(mlf) ""
    set ::wsurf::transcription_format_htk::${pane}::var(hideQuotes) 1
    set ::wsurf::transcription_format_htk::${pane}::var(alternative) 1
}

if {[wsurf::PluginEnabled transcription]} {
    $widget trans::addTranscription $pane -alignment e -format "WaveSurfer" -extension "lab" -labelcolor black -boundarycolor black -backgroundcolor white -labeldirectory "" -fileencoding "" -labelmenu {7 7 lab1 lab2 lab3 lab4 lab5 lab6 lab7 lab8 {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {} {}} -labelmenuevent Shift-ButtonPress-3 -adjustleftevent Control-l -adjustrightevent Control-r -playlabelevent Control-space -locked 0 -quickenter 1 -quickentertolerance 20
}

